# Interface RadarProvider

Provider interface for plugins that provide radar data.

#### Example

    app.registerRadarProvider({
      name: 'Furuno Radar Plugin',
      methods: {
        getRadars: async () => ['radar-0'],
        getRadarInfo: async (id) => ({
          id: 'radar-0',
          name: 'Furuno DRS4D-NXT',
          status: 'transmit',
          spokesPerRevolution: 2048,
          maxSpokeLen: 1024,
          range: 2000,
          controls: { gain: { auto: false, value: 50 } },
          streamUrl: 'ws://192.168.1.100:3001/stream'
        }),
        setPower: async (id, state) => { ... },
        setRange: async (id, range) => { ... },
        setGain: async (id, gain) => { ... }
      }
    })

interface RadarProvider {
methods: RadarProviderMethods;
name: string;
}

- Defined in radarapi.ts:529

##### Index

### Properties

methods
name

## Properties

### methods

methods: RadarProviderMethods

Provider methods

- Defined in radarapi.ts:533

### name

name: string

Display name for this radar provider

- Defined in radarapi.ts:531